Skip to main content
POST
/
environment
/
{environmentId}
/
database
Create a database
curl --request POST \
  --url https://api.qovery.com/environment/{environmentId}/database \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "type": "MONGODB",
  "version": "10.1",
  "mode": "CONTAINER",
  "description": "<string>",
  "accessibility": "PRIVATE",
  "cpu": 1250,
  "instance_type": "db.t3.medium",
  "memory": 1024,
  "storage": 10,
  "annotations_groups": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  ],
  "labels_groups": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  ],
  "icon_uri": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "name": "<string>",
  "type": "MONGODB",
  "version": "10.1",
  "mode": "CONTAINER",
  "icon_uri": "<string>",
  "environment": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  },
  "service_type": "APPLICATION",
  "updated_at": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "accessibility": "PRIVATE",
  "cpu": 1250,
  "instance_type": "db.t3.medium",
  "memory": 1024,
  "storage": 10,
  "annotations_groups": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z",
      "name": "<string>",
      "annotations": [
        {
          "key": "<string>",
          "value": "<string>"
        }
      ],
      "scopes": [
        "DEPLOYMENTS"
      ],
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "labels_groups": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z",
      "name": "<string>",
      "labels": [
        {
          "key": "<string>",
          "value": "<string>",
          "propagate_to_cloud_provider": true
        }
      ],
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "host": "<string>",
  "port": 5432,
  "maximum_cpu": 1250,
  "maximum_memory": 1024,
  "disk_encrypted": true,
  "disk_type": "gp2"
}

Documentation Index

Fetch the complete documentation index at: https://qovery-docs-cronjob-required-affinity.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

environmentId
string<uuid>
required

Environment ID

Body

application/json
name
string
required

name is case insensitive

type
enum<string>
required
Available options:
MONGODB,
MYSQL,
POSTGRESQL,
REDIS
version
string
required
Example:

"10.1"

mode
enum<string>
required
Available options:
CONTAINER,
MANAGED
description
string

give a description to this database

accessibility
enum<string>
default:PRIVATE
Available options:
PRIVATE,
PUBLIC
cpu
integer
default:250

unit is millicores (m). 1000m = 1 cpu This field will be ignored for managed DB (instance type will be used instead).

Example:

1250

instance_type
string

Database instance type to be used for this database. The list of values can be retrieved via the endpoint /{CloudProvider}/managedDatabase/instanceType/{region}/{dbType}. This field SHOULD NOT be set for container DB.

Example:

"db.t3.medium"

memory
integer

unit is MB. 1024 MB = 1GB This field will be ignored for managed DB (instance type will be used instead). Default value is linked to the database type:

  • MANAGED: 100
  • CONTAINER
    • POSTGRES: 100
    • REDIS: 100
    • MYSQL: 512
    • MONGODB: 256
Example:

1024

storage
integer
default:10

unit is GB

annotations_groups
object[]
labels_groups
object[]
icon_uri
string<uri>

Icon URI representing the database.

Response

Create database

id
string<uuid>
required
read-only
created_at
string<date-time>
required
read-only
name
string
required

name is case insensitive

type
enum<string>
required
Available options:
MONGODB,
MYSQL,
POSTGRESQL,
REDIS
version
string
required
Example:

"10.1"

mode
enum<string>
required
Available options:
CONTAINER,
MANAGED
icon_uri
string<uri>
required

Icon URI representing the database.

environment
object
required
service_type
enum<string>
required

type of the service (application, database, job, ...)

Available options:
APPLICATION,
DATABASE,
CONTAINER,
JOB,
HELM,
TERRAFORM,
ARGOCD_APP
updated_at
string<date-time>
read-only
description
string

give a description to this database

accessibility
enum<string>
default:PRIVATE
Available options:
PRIVATE,
PUBLIC
cpu
integer
default:250

unit is millicores (m). 1000m = 1 cpu This field will be ignored for managed DB (instance type will be used instead).

Example:

1250

instance_type
string

Database instance type to be used for this database. The list of values can be retrieved via the endpoint /{CloudProvider}/managedDatabase/instanceType/{region}/{dbType}. This field is null for container DB.

Example:

"db.t3.medium"

memory
integer

unit is MB. 1024 MB = 1GB This field will be ignored for managed DB (instance type will be used instead). Default value is linked to the database type:

  • MANAGED: 100
  • CONTAINER
    • POSTGRES: 100
    • REDIS: 100
    • MYSQL: 512
    • MONGODB: 256
Example:

1024

storage
integer
default:10

unit is GB

annotations_groups
object[]
labels_groups
object[]
host
string
port
integer
Example:

5432

maximum_cpu
integer

Maximum cpu that can be allocated to the database based on organization cluster configuration. unit is millicores (m). 1000m = 1 cpu

Example:

1250

maximum_memory
integer

Maximum memory that can be allocated to the database based on organization cluster configuration. unit is MB. 1024 MB = 1GB

Example:

1024

disk_encrypted
boolean

indicates if the database disk is encrypted or not

disk_type
enum<string> | null

EBS disk type for the database. Only applicable for MANAGED mode (gp2 or gp3). Null for CONTAINER mode.

Available options:
gp2,
gp3